{% extends "base.html.twig"%}
{% block stylesheets %}
{{ parent()}}
    <link rel="stylesheet" href="styles/userList.css">
{% endblock %}
{% block content %}
<div class="content">
    <div class="user__list">
        <div class="user__new">
            <div>
                <a class="user__button user__button--reset" href="{{path('users_list')}}">Reset</a>
            </div>
        </div>
        <table class="table">
            <tr class="table__header">
                <th class="table__header">Id</th>
                <th class="table__header">Image</th>
                <th class="table__header">Name</th>
                <th class="table__header">Email</th>
                <th class="table__heade">Comments</th>
                <th></th>
                <th></th>
            </tr>
                <tr class="table__row" style="background-color: white;">
                <td class="user__text">{{user.id}}</td>
                <td>
                {% if user.image %}
                    <img class="user__img" src="{{user.image}}" alt="image of {{user.username}}">
                {% else %}
                    <img class="user__img" src="assets/images/avatar.png" alt="image of an avatar">
                {% endif %}
                </td>
                <td class="user__text">{{user.username}}</td>
                <td class="user__text">{{user.email}}</td>
                <td class="user__text-comments">{{user.comments}}</td>
                <td class=""><a href="{{path('modify_user',{id:user.id})}}" class="user__button user__button--modify">Modify</a></td>
                <td class=""><a href="{{path('delete_user',{id:user.id})}}" class="user__button user__button--delete">Delete</a></td>
            </tr>
        </table>
    </div>
</div>
{% endblock %}
